// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.

package com.ibm.websphere.longrun;
/**
 * This is the home interface for the Job Scheduler EJB.
 * Clients of this interface can programmatically submit and manipulate 
 * jobs to the Job Scheduler. Code similar to the following can be used to lookup and invoke
 * the remote Job Scheduler EJB interface:
 * <p>
 * 
 * InitialContext ctxt = new InitialContext(); <br>
 * Hashtable env = new Hashtable(); <br>
 *                    
 * env.put (Context.INITIAL_CONTEXT_FACTORY, "com.ibm.websphere.naming.WsnInitialContextFactory"); <br>
 * env.put(Context.PROVIDER_URL, "corbaloc:iiop:<schedulerHostName>:<schedulerBootstrapPort>/NameServiceCellRoot"); <br>
 * ctxt = new InitialContext(env); <br>
 * 
 * // In order to lookup the Job Scheduler EJB from the cell context in the namespace, <br> 
 * // the name context to the application server or cluster to which the Job Scheduler  <br>
 * // application is deployed has to be provided. <br>
 * // Eg: "nodes/myNode/servers/myServer" or "clusters/myCluster". <br> <br>
 *     	 
 * String jobSchedulerContext = clusters/myCluster; <br> <br>
 *
 * JobSchedulerHome zjsHome = (JobSchedulerHome) PortableRemoteObject.narrow(ctxt.lookup(jobSchedulerContext +       
 *                                          "/ejb/com/ibm/websphere/longrun/JobSchedulerHome"),JobSchedulerHome.class); <br>
 * 
 * JobScheduler js = zjsHome.create(); <br>
 *
 * 
 *
 * @ibm-api
 */

public interface JobSchedulerHome extends javax.ejb.EJBHome {

	/**
	 * Creates a default instance of Session Bean: JobScheduler
	 */
	public com.ibm.websphere.longrun.JobScheduler create()
		throws javax.ejb.CreateException, java.rmi.RemoteException;
}
